/*
© 2023 Elemete® Studio
Toute reproduction interdite - Aucune copie ou modification autorisée - Tous droits réservés
No copy or modification allowed - All rights reserved
*/

:root
{
  --orange:rgba(255,120,0,1);
  --yellow:rgba(255,255,0,1);
}

.mtimer
{
  position:absolute;
  width: 60px;
  height: 60px;
  top:3em;
  left:1em;
  border-radius:1000px;
  /* background:black; */
  background:radial-gradient(circle at 50%, black, black 80%, black 81%, rgba(0,0,0,0) 82%, rgba(0,0,0,0) 100%);
  cursor:pointer;
}


@media (orientation: portrait)
{
.mtimer
{
  top:calc(var(--hauteur-menu) + 1em);
}
}

.base-timer {
  position: absolute;
  width: 100%;
  height: 100%;
  top:0;
  left:0;
}

.base-timer__svg {
  transform: scaleX(-1);
}

.base-timer__circle {
  fill: none;
  stroke: none;
}

.base-timer__path-elapsed {
  stroke-width: 5px;
  stroke: grey;
}

.base-timer__path-remaining {
  stroke-width: 5px;
  stroke-linecap: round;
  transform: rotate(90deg);
  transform-origin: center;
  transition: 1s linear all;
  fill-rule: nonzero;
  stroke: currentColor;
}

.base-timer__path-remaining._color1 {
  color: var(--orange);
}

.base-timer__path-remaining._color2 {
  color: var(--yellow);
}

.base-timer__path-remaining._color3 {
  color: white;
}

.elemete-logo
{
  position:absolute;
  width: 70%;
  height: 70%;
  top:15%;
  left:15%;
  -webkit-mask:url("/img.min/.com/elemete.svg") no-repeat center center / 90% auto;
  transition: 1s linear all;
}
.elemete-logo._color1
{
  background: var(--orange);
}
.elemete-logo._color2
{
  background: var(--yellow);
}
.elemete-logo._color3
{
  background: white;
}

.mtimer-inactive .elemete-logo
{
  -webkit-mask:url("/img.min/.com/elemete-studio.svg") no-repeat center center / 90% auto;
}